how to use log4j 1.2 and 2.0 together?

Discussions

General J2EE: how to use log4j 1.2 and 2.0 together?

  1. how to use log4j 1.2 and 2.0 together? (2 messages)

    there are two reference libraries in my project, one needs Log4j 1.2 and another one needs Log4j 2.0, how can they working together or anyother solutions?
  2. Re: how to use log4j 1.2 and 2.0 together?[ Go to top ]

    The one that uses 1.2 should function fine if just 2.0 is included, no?
  3. Application Classloader isolation[ Go to top ]

    Hi, I accept the earlier post. But alternate way to run two different jars is to to run them in different application classloader. The problem could be what version of log4j your application server uses to log? that will supersede all other classloaders in my view. Thanks, Senthil Kumar